Hi,

At Wed, 17 Oct 2007 02:54:30 +0900,
David Flanagan wrote in [ruby-core:12703]:
> However, notice what happens if I try an unknown encoding that begins 
> with 'u', 'a', 'n', 'e', or 's':
> 
> $ ./ruby1.9 -Kutf
> ./ruby1.9: invalid option -t  (-h will show valid options)

It's for the backward compatibility's sake.

$ ruby1.8 -Kutf
ruby1.8: invalid option -t  (-h will show valid options)

On many platforms, multiple options in shebang are handled
differently.

> I think this is a very confusing error message!

Should be a separated option?

-- 
Nobu Nakada